Subject: Re: [BUG] 8139too fails for ip autoconfig and nfsroot

From: Knut Petersen <[email-masked]>
Date: Tue, 31 Jan 2006 12:03:58 +0100

Knut Petersen wrote:

> but found none. Skipping ip autoconfig is no solution, the kernel then 
> fails trying rpc lookup.
>
> Then I tried to netboot another system with the same kernel + via 
> rhine driver, same server
> config. Voila, dhcp ip autoconfig and rpc port lookup is not a problem 
> on this system.
>
> During my search for a solution I tried some recent kernels, the 
> oldest 2.6.14. All fail with 8139too.
>
> Any ideas?
>
It does work now. How?

I enabled  "Use PIO instead of MMIO". Everything started to work.
I disabled "Use PIO instead of MMIO" and enabled "Use older RX-reset 
method".
Everything still fine.

The crazy thing is that it does work now even with both of the options 
disabled.
It does work even after complete power removal for several hours.

cu,
 Knut